use actix_web::web;
use crate::controllers::home::HomeController;

/// Configures all application routes
pub fn configure_routes(cfg: &mut web::ServiceConfig) {
    cfg.service(
        web::scope("")
            // Home routes
            .route("/", web::get().to(HomeController::index))
            .route("/about", web::get().to(HomeController::about))
            .route("/contact", web::get().to(HomeController::contact))
            .route("/contact", web::post().to(HomeController::submit_contact))
            
            // Add more routes here as needed
    );
}